# Uses of Class
org.apache.commons.math3.geometry.euclidean.twod.Segment

Packages that use Segment
Package
Description
org.apache.commons.math3.geometry.euclidean.twod
This package provides basic 2D geometry components.
org.apache.commons.math3.geometry.euclidean.twod.hull
This package provides algorithms to generate the convex hull for a set of points in an two-dimensional euclidean space.

## Uses of Segment in org.apache.commons.math3.geometry.euclidean.twod

Methods in org.apache.commons.math3.geometry.euclidean.twod that return types with arguments of type Segment
Modifier and Type
Method
Description
`List<Segment>`
SubLine.`getSegments()`
Get the endpoints of the sub-line.
Constructors in org.apache.commons.math3.geometry.euclidean.twod with parameters of type Segment
Modifier
Constructor
Description
``
`SubLine(Segment segment)`
Create a sub-line from a segment.

## Uses of Segment in org.apache.commons.math3.geometry.euclidean.twod.hull

Methods in org.apache.commons.math3.geometry.euclidean.twod.hull that return Segment
Modifier and Type
Method
Description
`Segment[]`
ConvexHull2D.`getLineSegments()`
Get the line segments of the convex hull, ordered.